org.apache.hadoop.yarn.api.records.timelineservice

## Class TimelineWriteResponse.TimelineWriteError

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.timelineservice.TimelineWriteResponse.TimelineWriteError

- Enclosing class:
    TimelineWriteResponse

      @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public static class TimelineWriteResponse.TimelineWriteError
      extends Object

  A class that holds the error code for one entity.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `IO_EXCEPTION` Error code returned if an IOException is encountered when storing an entity.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimelineWriteError()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEntityId()` Get the entity Id.
    `String` | `getEntityType()` Get the entity type.
    `int` | `getErrorCode()` Get the error code.
    `void` | `setEntityId(String id)` Set the entity Id.
    `void` | `setEntityType(String type)` Set the entity type.
    `void` | `setErrorCode(int code)` Set the error code to the given error code.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IO_EXCEPTION

          public static final int IO_EXCEPTION

      Error code returned if an IOException is encountered when storing an entity.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TimelineWriteError

          public TimelineWriteError()

  - ### Method Detail

    - #### getEntityId

          public String getEntityId()

      Get the entity Id.
      Returns:
        the entity Id

    - #### setEntityId

          public void setEntityId(String id)

      Set the entity Id.
      Parameters:
        `id` - the entity Id.

    - #### getEntityType

          public String getEntityType()

      Get the entity type.
      Returns:
        the entity type

    - #### setEntityType

          public void setEntityType(String type)

      Set the entity type.
      Parameters:
        `type` - the entity type.

    - #### getErrorCode

          public int getErrorCode()

      Get the error code.
      Returns:
        an error code

    - #### setErrorCode

          public void setErrorCode(int code)

      Set the error code to the given error code.
      Parameters:
        `code` - an error code.

Copyright © 2022 Apache Software Foundation. All rights reserved.